Package fr.gouv.vitam.functional.administration.common

# Class PreservationScenario

java.lang.Object
org.bson.Document
fr.gouv.vitam.common.database.server.mongodb.VitamDocument<PreservationScenario>
fr.gouv.vitam.functional.administration.common.PreservationScenario

All Implemented Interfaces:
  `Serializable`, `Map<String,Object>`, `org.bson.conversions.Bson`

public class PreservationScenario extends VitamDocument<PreservationScenario>

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface java.util.Map

  `Map.Entry<K,V>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `IDENTIFIER`

  ### Fields inherited from class fr.gouv.vitam.common.database.server.mongodb.VitamDocument

  `ES_FILTER_OUT, ID, IMPLEMENTATIONVERSION, SCORE, SEDAVERSION, TENANT_ID, VERSION`

  ### Fields inherited from interface org.bson.conversions.Bson

  `DEFAULT_CODEC_REGISTRY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PreservationScenario()`
  `PreservationScenario(com.fasterxml.jackson.databind.JsonNode content)`
  `PreservationScenario(String content)`
  `PreservationScenario(org.bson.Document content)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getIdentifier()`
  `VitamDocument<PreservationScenario>`
  `newInstance(com.fasterxml.jackson.databind.JsonNode content)`
  Make a new instance of the document with the given json
  `PreservationScenario`
  `setId(String id)`
  `PreservationScenario`
  `setIdentifier(String identifier)`
  `PreservationScenarioModel`
  `toModel()`

  ### Methods inherited from class fr.gouv.vitam.common.database.server.mongodb.VitamDocument

  `checkId, getConcernedDiffLines, getId, getOriginalDiffLines, getTenantId, getUnifiedDiff, getVersion, toString, toStringDirect`

  ### Methods inherited from class org.bson.Document

  `append, clear, containsKey, containsValue, entrySet, equals, get, get, get, getBoolean, getBoolean, getDate, getDouble, getEmbedded, getEmbedded, getInteger, getInteger, getList, getList, getLong, getObjectId, getString, hashCode, isEmpty, keySet, parse, parse, put, putAll, remove, size, toBsonDocument, toJson, toJson, toJson, toJson, values`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.bson.conversions.Bson

  `toBsonDocument`

  ### Methods inherited from interface java.util.Map

  `compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

- ## Field Details

  - ### IDENTIFIER

    public static final String IDENTIFIER
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PreservationScenario

    public PreservationScenario(com.fasterxml.jackson.databind.JsonNode content)

  - ### PreservationScenario

    public PreservationScenario(org.bson.Document content)

  - ### PreservationScenario

    public PreservationScenario(String content)

  - ### PreservationScenario

    public PreservationScenario()

- ## Method Details

  - ### newInstance

    public VitamDocument<PreservationScenario> newInstance(com.fasterxml.jackson.databind.JsonNode content)
    Description copied from class: `VitamDocument`
    Make a new instance of the document with the given json
    Specified by:
      `newInstance` in class `VitamDocument<PreservationScenario>`
    Parameters:
      `content` - document structure as json
    Returns:
      new document with the json as content

  - ### setId

    public PreservationScenario setId(String id)

  - ### getIdentifier

    public String getIdentifier()

  - ### setIdentifier

    public PreservationScenario setIdentifier(String identifier)

  - ### toModel

    @Nonnull public PreservationScenarioModel toModel()